package com.lxyer.redim.service;

import com.lxyer.base.JBean;
import com.lxyer.redim.entity.MsgRecord;
import com.lxyer.redim.info.MsgInfo;
import org.redkale.service.Service;

import java.util.List;


public interface ImMsgService extends Service {

    /**
     * 消息入库
     * @param msg
     */
    JBean insert(MsgRecord... msg);

    /**
     * 消息修改
     */
    JBean update(MsgRecord... msg);

    /**
     * 历史消息
     * @return
     */
    JBean list();

    /**
     * 创建消息体
     *
     * @param msg
     */
    JBean<MsgInfo> createMsgInfo(MsgRecord msg);

    /**
     * 获取离线消息
     * @param userid
     * @return
     */
    JBean<List<MsgRecord>> offlineMsg(int userid);
}
